<?php
namespace nur\data\types;

/**
 * Class MixedType: n'importe quel type: on ne fait aucun effort pour déterminer
 * le type effectif ni pour chercher à convertir ou normaliser les valeurs
 */
class MixedType extends AbstractSimpleType {
  const TITLE = "type indifférent";

  const ALLOW_NULL = true;

  function getClass(): string {
    return "mixed";
  }

  function isInstance($value, bool $strict=false): bool {
    return true;
  }

  function parse(string &$input) {
    $value = $input;
    $input = "";
    return $value;
  }

  protected function _verifix(&$value, array &$result=null): void {
    self::result_valid($result, $value, $value);
  }
}
